Subject: 24.0.50; Cannot display image: (Invalid image type `jpeg')

From: Peter Dyballa <[email-masked]>
Date: Mon, 11 Jul 2011 01:39:09 +0200

Hello!

I have configured GNU Emacs without direct JPEG and TIFF support.  
After launching it with -Q I execute in *scratch* buffer

	(imagemagick-register-types)

(nil is returned). When I view from dired file.jpeg, then only its  
bytes are displayed in a (Fundamental Image View) buffer. In  
*Messages* buffer

	Cannot display image: (Invalid image type `jpeg')

is recorded.

GCC is GCC 4.4.6, Mac OS X 10.5.8, PPC, big-endian.

In GNU Emacs 24.0.50.2 (powerpc-apple-darwin9.8.0, GTK+ Version 2.24.4)
  of 2011-07-10 on Latsche.fritz.box
Windowing system distributor `The X.Org Foundation', version  
11.0.11002000
configured using `configure  '--without-sound' '--without-dbus' '-- 
without-pop' '--without-gconf' '--without-gpm' '--without-gsettings'  
'--without-jpeg' '--without-tiff' '--with-x-toolkit=gtk' '--enable- 
locallisppath=/Library/Application Support/Emacs/calendar24:/Library/ 
Application Support/Emacs' 'CFLAGS=-g -H -pipe -fPIC -fno-common - 
mcpu=7450 -mtune=7450 -maltivec -faltivec -mabi=altivec -Os -mfused- 
madd -mmultiple -ftree-vectorize' 'LDFLAGS=-Wl,-dead_strip_dylibs -Wl,- 
bind_at_load -Wl,-t' 'CC=gcc-4' 'CPP=cpp-4' 'PKG_CONFIG_PATH=/opt/ 
local/lib/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Greetings

   Pete

When you meet a master swordsman,
show him your sword.
When you meet a man who is not a poet,
do not show him your poem.
			– Rinzai, ninth century Zen master